#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res_block_0(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c, int& n_yy_ind, int* yy_ind, int& i_E_start, int& i_E_end)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double var_k10=0; 
   double t1_var_k10=0; 
   double var_k20=0; 
   double t1_var_k20=0; 
   double var_E1=0; 
   double t1_var_E1=0; 
   double var_E2=0; 
   double t1_var_E2=0; 
   double var_DH1=0; 
   double t1_var_DH1=0; 
   double var_DH2=0; 
   double t1_var_DH2=0; 
   double var_R=0; 
   double t1_var_R=0; 
   double var_cBin=0; 
   double t1_var_cBin=0; 
   double var_CtoK=0; 
   double t1_var_CtoK=0; 
   double par_F=0; 
   double t1_par_F=0; 
   double par_T=0; 
   double t1_par_T=0; 
   double var_cA=0; 
   double t1_var_cA=0; 
   double der_var_cA=0; 
   double t1_der_var_cA=0; 
   double var_cB=0; 
   double t1_var_cB=0; 
   double der_var_cB=0; 
   double t1_der_var_cB=0; 
   double var_cC=0; 
   double t1_var_cC=0; 
   double der_var_cC=0; 
   double t1_der_var_cC=0; 
   double var_V=0; 
   double t1_var_V=0; 
   double der_var_V=0; 
   double t1_der_var_V=0; 
   double var_k1=0; 
   double t1_var_k1=0; 
   double der_var_k1=0; 
   double t1_der_var_k1=0; 
   double var_k2=0; 
   double t1_var_k2=0; 
   double der_var_k2=0; 
   double t1_der_var_k2=0; 
   double var_Q=0; 
   double t1_var_Q=0; 
   double der_var_Q=0; 
   double t1_der_var_Q=0; 
   double var_Obj=0; 
   double t1_var_Obj=0; 
   double der_var_Obj=0; 
   double t1_der_var_Obj=0; 
   double var_div0=0; 
   double t1_var_div0=0; 
   double var_div1=0; 
   double t1_var_div1=0; 
   double var_div2=0; 
   double t1_var_div2=0; 
   double var_i_expr=0; 
   double t1_var_i_expr=0; 
   double var_div3=0; 
   double t1_var_div3=0; 
   double var_exp4=0; 
   double t1_var_exp4=0; 
   double var_i_expr5=0; 
   double t1_var_i_expr5=0; 
   double var_i_expr7=0; 
   double t1_var_i_expr7=0; 
   double var_div6=0; 
   double t1_var_div6=0; 
   double var_exp8=0; 
   double t1_var_exp8=0; 
   double var_i_expr9=0; 
   double t1_var_i_expr9=0; 
   double var_i_expr11=0; 
   double t1_var_i_expr11=0; 
   double var_i_expr12=0; 
   double t1_var_i_expr12=0; 
   double var_div10=0; 
   double t1_var_div10=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   double v1_15=0; 
   double t1_v1_15=0; 
   double v1_16=0; 
   double t1_v1_16=0; 
   double v1_17=0; 
   double t1_v1_17=0; 
   double v1_18=0; 
   double t1_v1_18=0; 
   t1_v1_0=0;  // TLM constant reference
   v1_0=4;  // SAC constant reference
   t1_var_k10=t1_v1_0; // TLM =
   var_k10=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=800;  // SAC constant reference
   t1_var_k20=t1_v1_0; // TLM =
   var_k20=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=6000;  // SAC constant reference
   t1_var_E1=t1_v1_0; // TLM =
   var_E1=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=20000;  // SAC constant reference
   t1_var_E2=t1_v1_0; // TLM =
   var_E2=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=30000;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_DH1=t1_v1_1; // TLM =
   var_DH1=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=10000;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_DH2=t1_v1_1; // TLM =
   var_DH2=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=8.31;  // SAC constant reference
   t1_var_R=t1_v1_0; // TLM =
   var_R=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=20;  // SAC constant reference
   t1_var_cBin=t1_v1_0; // TLM =
   var_cBin=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=273;  // SAC constant reference
   t1_var_CtoK=t1_v1_0; // TLM =
   var_CtoK=v1_0; // SAC =
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_F=t1_v1_0; // TLM =
   par_F=v1_0; // SAC =
   t1_v1_0=t1_p[1]; // TLM array memory reference
   v1_0=p[1]; // SAC array memory reference
   t1_par_T=t1_v1_0; // TLM =
   par_T=v1_0; // SAC =
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_cA=t1_v1_0; // TLM =
   var_cA=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_cA=t1_v1_0; // TLM =
   der_var_cA=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_cB=t1_v1_0; // TLM =
   var_cB=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_cB=t1_v1_0; // TLM =
   der_var_cB=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_var_cC=t1_v1_0; // TLM =
   var_cC=v1_0; // SAC =
   t1_v1_0=t1_der_x[2]; // TLM array memory reference
   v1_0=der_x[2]; // SAC array memory reference
   t1_der_var_cC=t1_v1_0; // TLM =
   der_var_cC=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_var_V=t1_v1_0; // TLM =
   var_V=v1_0; // SAC =
   t1_v1_0=t1_der_x[3]; // TLM array memory reference
   v1_0=der_x[3]; // SAC array memory reference
   t1_der_var_V=t1_v1_0; // TLM =
   der_var_V=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_var_k1=t1_v1_0; // TLM =
   var_k1=v1_0; // SAC =
   t1_v1_0=t1_der_x[4]; // TLM array memory reference
   v1_0=der_x[4]; // SAC array memory reference
   t1_der_var_k1=t1_v1_0; // TLM =
   der_var_k1=v1_0; // SAC =
   t1_v1_0=t1_x[5]; // TLM array memory reference
   v1_0=x[5]; // SAC array memory reference
   t1_var_k2=t1_v1_0; // TLM =
   var_k2=v1_0; // SAC =
   t1_v1_0=t1_der_x[5]; // TLM array memory reference
   v1_0=der_x[5]; // SAC array memory reference
   t1_der_var_k2=t1_v1_0; // TLM =
   der_var_k2=v1_0; // SAC =
   t1_v1_0=t1_x[6]; // TLM array memory reference
   v1_0=x[6]; // SAC array memory reference
   t1_var_Q=t1_v1_0; // TLM =
   var_Q=v1_0; // SAC =
   t1_v1_0=t1_der_x[6]; // TLM array memory reference
   v1_0=der_x[6]; // SAC array memory reference
   t1_der_var_Q=t1_v1_0; // TLM =
   der_var_Q=v1_0; // SAC =
   t1_v1_0=t1_x[7]; // TLM array memory reference
   v1_0=x[7]; // SAC array memory reference
   t1_var_Obj=t1_v1_0; // TLM =
   var_Obj=v1_0; // SAC =
   t1_v1_0=t1_der_x[7]; // TLM array memory reference
   v1_0=der_x[7]; // SAC array memory reference
   t1_der_var_Obj=t1_v1_0; // TLM =
   der_var_Obj=v1_0; // SAC =
   // nonfloat assignment
   i_E=i_E_start;
   while (i_E<i_E_end) {
      // nonfloat assignment
      i__switch=yy_ind[i_E];
      switch (i__switch) {
         case 0: {
            t1_acs_div(par_F,t1_par_F,var_V,t1_var_V,var_div0,t1_var_div0);
            t1_v1_0=t1_der_var_cA; // TLM scalar memory reference
            v1_0=der_var_cA; // SAC scalar memory reference
            t1_v1_1=t1_var_k1; // TLM scalar memory reference
            v1_1=var_k1; // SAC scalar memory reference
            t1_v1_2=t1_var_cA; // TLM scalar memory reference
            v1_2=var_cA; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_var_cB; // TLM scalar memory reference
            v1_4=var_cB; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=0-t1_v1_5; // TLM -
            v1_6=0-v1_5; // SAC -
            t1_v1_7=t1_var_div0; // TLM scalar memory reference
            v1_7=var_div0; // SAC scalar memory reference
            t1_v1_8=t1_var_cA; // TLM scalar memory reference
            v1_8=var_cA; // SAC scalar memory reference
            t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
            v1_9=v1_7*v1_8; // SAC *
            t1_v1_10=t1_v1_6-t1_v1_9; // TLM -
            v1_10=v1_6-v1_9; // SAC -
            t1_v1_11=t1_v1_10; // TLM ()
            v1_11=v1_10; // SAC ()
            t1_v1_12=t1_v1_0-t1_v1_11; // TLM -
            v1_12=v1_0-v1_11; // SAC -
            t1_yy[i_E]=t1_v1_12; // TLM =
            yy[i_E]=v1_12; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 1: {
            t1_acs_div(par_F,t1_par_F,var_V,t1_var_V,var_div1,t1_var_div1);
            t1_v1_0=t1_der_var_cB; // TLM scalar memory reference
            v1_0=der_var_cB; // SAC scalar memory reference
            t1_v1_1=t1_var_k1; // TLM scalar memory reference
            v1_1=var_k1; // SAC scalar memory reference
            t1_v1_2=t1_var_cA; // TLM scalar memory reference
            v1_2=var_cA; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_var_cB; // TLM scalar memory reference
            v1_4=var_cB; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=0-t1_v1_5; // TLM -
            v1_6=0-v1_5; // SAC -
            t1_v1_7=t1_var_div1; // TLM scalar memory reference
            v1_7=var_div1; // SAC scalar memory reference
            t1_v1_8=t1_var_cBin; // TLM scalar memory reference
            v1_8=var_cBin; // SAC scalar memory reference
            t1_v1_9=t1_var_cB; // TLM scalar memory reference
            v1_9=var_cB; // SAC scalar memory reference
            t1_v1_10=t1_v1_8-t1_v1_9; // TLM -
            v1_10=v1_8-v1_9; // SAC -
            t1_v1_11=t1_v1_10; // TLM ()
            v1_11=v1_10; // SAC ()
            t1_v1_12=v1_11*t1_v1_7+v1_7*t1_v1_11; // TLM *
            v1_12=v1_7*v1_11; // SAC *
            t1_v1_13=t1_v1_6+t1_v1_12; // TLM +
            v1_13=v1_6+v1_12; // SAC +
            t1_v1_14=t1_v1_13; // TLM ()
            v1_14=v1_13; // SAC ()
            t1_v1_15=t1_v1_0-t1_v1_14; // TLM -
            v1_15=v1_0-v1_14; // SAC -
            t1_yy[i_E]=t1_v1_15; // TLM =
            yy[i_E]=v1_15; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 2: {
            t1_acs_div(par_F,t1_par_F,var_V,t1_var_V,var_div2,t1_var_div2);
            t1_v1_0=t1_der_var_cC; // TLM scalar memory reference
            v1_0=der_var_cC; // SAC scalar memory reference
            t1_v1_1=t1_var_k1; // TLM scalar memory reference
            v1_1=var_k1; // SAC scalar memory reference
            t1_v1_2=t1_var_cA; // TLM scalar memory reference
            v1_2=var_cA; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_var_cB; // TLM scalar memory reference
            v1_4=var_cB; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=t1_var_k2; // TLM scalar memory reference
            v1_6=var_k2; // SAC scalar memory reference
            t1_v1_7=t1_var_cC; // TLM scalar memory reference
            v1_7=var_cC; // SAC scalar memory reference
            t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
            v1_8=v1_6*v1_7; // SAC *
            t1_v1_9=t1_v1_5-t1_v1_8; // TLM -
            v1_9=v1_5-v1_8; // SAC -
            t1_v1_10=t1_var_div2; // TLM scalar memory reference
            v1_10=var_div2; // SAC scalar memory reference
            t1_v1_11=t1_var_cC; // TLM scalar memory reference
            v1_11=var_cC; // SAC scalar memory reference
            t1_v1_12=v1_11*t1_v1_10+v1_10*t1_v1_11; // TLM *
            v1_12=v1_10*v1_11; // SAC *
            t1_v1_13=t1_v1_9-t1_v1_12; // TLM -
            v1_13=v1_9-v1_12; // SAC -
            t1_v1_14=t1_v1_13; // TLM ()
            v1_14=v1_13; // SAC ()
            t1_v1_15=t1_v1_0-t1_v1_14; // TLM -
            v1_15=v1_0-v1_14; // SAC -
            t1_yy[i_E]=t1_v1_15; // TLM =
            yy[i_E]=v1_15; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 3: {
            t1_v1_0=t1_der_var_V; // TLM scalar memory reference
            v1_0=der_var_V; // SAC scalar memory reference
            t1_v1_1=t1_par_F; // TLM scalar memory reference
            v1_1=par_F; // SAC scalar memory reference
            t1_v1_2=t1_v1_1; // TLM ()
            v1_2=v1_1; // SAC ()
            t1_v1_3=t1_v1_0-t1_v1_2; // TLM -
            v1_3=v1_0-v1_2; // SAC -
            t1_yy[i_E]=t1_v1_3; // TLM =
            yy[i_E]=v1_3; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 4: {
            t1_v1_0=t1_var_R; // TLM scalar memory reference
            v1_0=var_R; // SAC scalar memory reference
            t1_v1_1=t1_par_T; // TLM scalar memory reference
            v1_1=par_T; // SAC scalar memory reference
            t1_v1_2=t1_var_CtoK; // TLM scalar memory reference
            v1_2=var_CtoK; // SAC scalar memory reference
            t1_v1_3=t1_v1_1+t1_v1_2; // TLM +
            v1_3=v1_1+v1_2; // SAC +
            t1_v1_4=t1_v1_3; // TLM ()
            v1_4=v1_3; // SAC ()
            t1_v1_5=v1_4*t1_v1_0+v1_0*t1_v1_4; // TLM *
            v1_5=v1_0*v1_4; // SAC *
            t1_v1_6=t1_v1_5; // TLM ()
            v1_6=v1_5; // SAC ()
            t1_var_i_expr=t1_v1_6; // TLM =
            var_i_expr=v1_6; // SAC =
            t1_acs_div(var_E1,t1_var_E1,var_i_expr,t1_var_i_expr,var_div3,t1_var_div3);
            t1_v1_0=t1_var_div3; // TLM scalar memory reference
            v1_0=var_div3; // SAC scalar memory reference
            t1_v1_1=0-t1_v1_0; // TLM -
            v1_1=0-v1_0; // SAC -
            t1_var_i_expr5=t1_v1_1; // TLM =
            var_i_expr5=v1_1; // SAC =
            t1_acs_exp(var_i_expr5,t1_var_i_expr5,var_exp4,t1_var_exp4);
            t1_v1_0=t1_var_k1; // TLM scalar memory reference
            v1_0=var_k1; // SAC scalar memory reference
            t1_v1_1=t1_var_k10; // TLM scalar memory reference
            v1_1=var_k10; // SAC scalar memory reference
            t1_v1_2=t1_var_exp4; // TLM scalar memory reference
            v1_2=var_exp4; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_v1_3; // TLM ()
            v1_4=v1_3; // SAC ()
            t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
            v1_5=v1_0-v1_4; // SAC -
            t1_yy[i_E]=t1_v1_5; // TLM =
            yy[i_E]=v1_5; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 5: {
            t1_v1_0=t1_var_R; // TLM scalar memory reference
            v1_0=var_R; // SAC scalar memory reference
            t1_v1_1=t1_par_T; // TLM scalar memory reference
            v1_1=par_T; // SAC scalar memory reference
            t1_v1_2=t1_var_CtoK; // TLM scalar memory reference
            v1_2=var_CtoK; // SAC scalar memory reference
            t1_v1_3=t1_v1_1+t1_v1_2; // TLM +
            v1_3=v1_1+v1_2; // SAC +
            t1_v1_4=t1_v1_3; // TLM ()
            v1_4=v1_3; // SAC ()
            t1_v1_5=v1_4*t1_v1_0+v1_0*t1_v1_4; // TLM *
            v1_5=v1_0*v1_4; // SAC *
            t1_v1_6=t1_v1_5; // TLM ()
            v1_6=v1_5; // SAC ()
            t1_var_i_expr7=t1_v1_6; // TLM =
            var_i_expr7=v1_6; // SAC =
            t1_acs_div(var_E2,t1_var_E2,var_i_expr7,t1_var_i_expr7,var_div6,t1_var_div6);
            t1_v1_0=t1_var_div6; // TLM scalar memory reference
            v1_0=var_div6; // SAC scalar memory reference
            t1_v1_1=0-t1_v1_0; // TLM -
            v1_1=0-v1_0; // SAC -
            t1_var_i_expr9=t1_v1_1; // TLM =
            var_i_expr9=v1_1; // SAC =
            t1_acs_exp(var_i_expr9,t1_var_i_expr9,var_exp8,t1_var_exp8);
            t1_v1_0=t1_var_k2; // TLM scalar memory reference
            v1_0=var_k2; // SAC scalar memory reference
            t1_v1_1=t1_var_k20; // TLM scalar memory reference
            v1_1=var_k20; // SAC scalar memory reference
            t1_v1_2=t1_var_exp8; // TLM scalar memory reference
            v1_2=var_exp8; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_v1_3; // TLM ()
            v1_4=v1_3; // SAC ()
            t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
            v1_5=v1_0-v1_4; // SAC -
            t1_yy[i_E]=t1_v1_5; // TLM =
            yy[i_E]=v1_5; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 6: {
            t1_v1_0=t1_var_DH1; // TLM scalar memory reference
            v1_0=var_DH1; // SAC scalar memory reference
            t1_v1_1=t1_var_k1; // TLM scalar memory reference
            v1_1=var_k1; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_var_cA; // TLM scalar memory reference
            v1_3=var_cA; // SAC scalar memory reference
            t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
            v1_4=v1_2*v1_3; // SAC *
            t1_v1_5=t1_var_cB; // TLM scalar memory reference
            v1_5=var_cB; // SAC scalar memory reference
            t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
            v1_6=v1_4*v1_5; // SAC *
            t1_v1_7=t1_var_V; // TLM scalar memory reference
            v1_7=var_V; // SAC scalar memory reference
            t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
            v1_8=v1_6*v1_7; // SAC *
            t1_v1_9=0-t1_v1_8; // TLM -
            v1_9=0-v1_8; // SAC -
            t1_v1_10=t1_var_DH2; // TLM scalar memory reference
            v1_10=var_DH2; // SAC scalar memory reference
            t1_v1_11=t1_var_k2; // TLM scalar memory reference
            v1_11=var_k2; // SAC scalar memory reference
            t1_v1_12=v1_11*t1_v1_10+v1_10*t1_v1_11; // TLM *
            v1_12=v1_10*v1_11; // SAC *
            t1_v1_13=t1_var_cC; // TLM scalar memory reference
            v1_13=var_cC; // SAC scalar memory reference
            t1_v1_14=v1_13*t1_v1_12+v1_12*t1_v1_13; // TLM *
            v1_14=v1_12*v1_13; // SAC *
            t1_v1_15=t1_var_V; // TLM scalar memory reference
            v1_15=var_V; // SAC scalar memory reference
            t1_v1_16=v1_15*t1_v1_14+v1_14*t1_v1_15; // TLM *
            v1_16=v1_14*v1_15; // SAC *
            t1_v1_17=t1_v1_9-t1_v1_16; // TLM -
            v1_17=v1_9-v1_16; // SAC -
            t1_v1_18=t1_v1_17; // TLM ()
            v1_18=v1_17; // SAC ()
            t1_var_i_expr11=t1_v1_18; // TLM =
            var_i_expr11=v1_18; // SAC =
            t1_v1_0=0;  // TLM constant reference
            v1_0=100000;  // SAC constant reference
            t1_var_i_expr12=t1_v1_0; // TLM =
            var_i_expr12=v1_0; // SAC =
            t1_acs_div(var_i_expr11,t1_var_i_expr11,var_i_expr12,t1_var_i_expr12,var_div10,t1_var_div10);
            t1_v1_0=t1_var_Q; // TLM scalar memory reference
            v1_0=var_Q; // SAC scalar memory reference
            t1_v1_1=t1_var_div10; // TLM scalar memory reference
            v1_1=var_div10; // SAC scalar memory reference
            t1_v1_2=t1_v1_1; // TLM ()
            v1_2=v1_1; // SAC ()
            t1_v1_3=t1_v1_0-t1_v1_2; // TLM -
            v1_3=v1_0-v1_2; // SAC -
            t1_yy[i_E]=t1_v1_3; // TLM =
            yy[i_E]=v1_3; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 7: {
            t1_v1_0=t1_var_Obj; // TLM scalar memory reference
            v1_0=var_Obj; // SAC scalar memory reference
            t1_v1_1=t1_var_cC; // TLM scalar memory reference
            v1_1=var_cC; // SAC scalar memory reference
            t1_v1_2=t1_var_V; // TLM scalar memory reference
            v1_2=var_V; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=0-t1_v1_3; // TLM -
            v1_4=0-v1_3; // SAC -
            t1_v1_5=t1_v1_4; // TLM ()
            v1_5=v1_4; // SAC ()
            t1_v1_6=t1_v1_0-t1_v1_5; // TLM -
            v1_6=v1_0-v1_5; // SAC -
            t1_yy[i_E]=t1_v1_6; // TLM =
            yy[i_E]=v1_6; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
      }
   }
}
void t1_res_block(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c, int& n_yy_ind, int* yy_ind)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_E_end=8; 
   int i__start=0; 
   int i__end=0; 
   int i__switch=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   while (i_E<n_yy_ind) {
      // nonfloat assignment
      i__switch=yy_ind[i_E];
      // nonfloat assignment
      i__start=0;
      // nonfloat assignment
      i__end=8;
      if ((i__switch>=i__start) && (i__switch<i__end)) {
         // nonfloat assignment
         i__end=i_E+1;
         t1_res_block_0(yy,t1_yy,der_x,t1_der_x,x,t1_x,p,t1_p,condit,lock,prev,n_x,n_p,n_c,n_yy_ind,yy_ind,i_E,i__end);
      }
      // nonfloat assignment
      i_E=i_E+1;
   }
}
